Bug 392730 - Add more keyboard shortcuts
Summary: Add more keyboard shortcuts
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Folder (show other bugs)
Version: 5.12.4
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-04-04 16:21 UTC by Patrick Silva
Modified: 2018-04-24 17:29 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-04-04 16:21:35 UTC
right click your wallpaper: shortcut for "paste from clipboard" is missing
right click some icon: shortcuts for "rename" and "move to trash" are missing

Dolphin shows the shortcuts for the same features.
Comment 1 Kai Uwe Broulik 2018-04-05 11:39:33 UTC
"Rename" and "Move To Trash" is https://phabricator.kde.org/D11947

The wallpaper context menu actions are trickier as when I set a shortcut on the plasmoid.action plasmashell will invoke the action in addition to ourselves also handling it leading to double activation. Needs further investigation.
Comment 2 Kai Uwe Broulik 2018-04-05 11:54:23 UTC
and https://phabricator.kde.org/D11953 for the wallpaper context menu
Comment 3 Kai Uwe Broulik 2018-04-05 12:17:06 UTC
Git commit eab41217209bda4e5890e54ce30ce3f2598d5fb6 by Kai Uwe Broulik.
Committed on 05/04/2018 at 12:05.
Pushed by broulik into branch 'Plasma/5.12'.

[Folder View] Use KStandardAction for rename, delete, and trash

Ensures the keyboard shortcut is visible in the menu

Differential Revision: https://phabricator.kde.org/D11947

M  +3    -7    containments/desktop/plugins/folder/foldermodel.cpp

https://commits.kde.org/plasma-desktop/eab41217209bda4e5890e54ce30ce3f2598d5fb6
Comment 4 Kai Uwe Broulik 2018-04-05 12:17:06 UTC
Git commit 94aee349c346270093d93a060b14e8486f7590b1 by Kai Uwe Broulik.
Committed on 05/04/2018 at 12:05.
Pushed by broulik into branch 'Plasma/5.12'.

[Folder View] Set shortcut on plasmoid.action

Ensures the shortcuts are shown in the menu.
We need to accept the event if we handled it or else the containment will trigger the action
leading to double activation.
FIXED-IN: 5.12.5

Differential Revision: https://phabricator.kde.org/D11953

M  +4    -0    containments/desktop/package/contents/ui/FolderView.qml
M  +6    -2    containments/desktop/package/contents/ui/FolderViewLayer.qml

https://commits.kde.org/plasma-desktop/94aee349c346270093d93a060b14e8486f7590b1
Comment 5 Kai Uwe Broulik 2018-04-24 17:29:13 UTC
Git commit 9a333b48ca1af8fc9ea07ee4b154fe09d5485e1b by Kai Uwe Broulik.
Committed on 24/04/2018 at 17:28.
Pushed by broulik into branch 'master'.

[Folder View] Set Refresh shortcut on Refresh/Reload

Also remove the "reload" action as the "refresh" action is being used in both cases and setup by usedByContainment

Differential Revision: https://phabricator.kde.org/D11955

M  +0    -1    containments/desktop/plugins/folder/autotests/foldermodeltest.cpp
M  +1    -4    containments/desktop/plugins/folder/foldermodel.cpp

https://commits.kde.org/plasma-desktop/9a333b48ca1af8fc9ea07ee4b154fe09d5485e1b